{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.Task":{"type":"object","description":"Asynchronous operation","properties":{"createdAt":{"type":"string","description":"Creation date of the task","format":"date-time","readOnly":true},"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"finishedAt":{"type":"string","description":"Ending date of the task","nullable":true,"format":"date-time","readOnly":true},"id":{"type":"string","description":"Unique identifier of the task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the related resource","readOnly":true},"message":{"type":"string","description":"Description of the task","readOnly":true},"progress":{"type":"array","description":"Progress steps of the asynchronous operation","items":{"$ref":"#/components/schemas/common.TaskProgress"},"readOnly":true},"startedAt":{"type":"string","description":"Starting date of the task","nullable":true,"format":"date-time","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.TaskStatusEnum"}],"description":"Current global status of the task","readOnly":true},"type":{"type":"string","description":"Type of the task","readOnly":true},"updatedAt":{"type":"string","description":"Last update of the task","format":"date-time","readOnly":true}}},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"common.TaskProgress":{"type":"object","description":"Detailed information about an asynchronous operation progress steps","properties":{"name":{"type":"string","description":"Progress step name","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.TaskStatusEnum"}],"description":"Current status of the progress step","readOnly":true}}},"common.TaskStatusEnum":{"type":"string","description":"Current status of a task","enum":["DONE","ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"iam.ResourceMetadata":{"type":"object","description":"IAM resource metadata embedded in services models","properties":{"displayName":{"type":"string","description":"Resource display name","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the resource","format":"uuid","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata.StateEnum"}],"description":"Resource state","nullable":true,"readOnly":true},"tags":{"type":"object","description":"Resource tags. Tags that were internally computed are prefixed with ovh:","nullable":true,"additionalProperties":{"type":"string"},"readOnly":true},"urn":{"type":"string","description":"Unique resource name used in policies","readOnly":true}}},"iam.ResourceMetadata.StateEnum":{"type":"string","description":"Resource state","enum":["EXPIRED","IN_CREATION","OK","SUSPENDED"]},"iam.resource.TagFilter":{"type":"object","description":"Resource tag filter","properties":{"operator":{"allOf":[{"$ref":"#/components/schemas/iam.resource.TagFilter.OperatorEnum"}],"description":"Operator to use in order to filter on the value. Defaults to `EQ`.","nullable":true,"readOnly":true},"value":{"type":"string","description":"Value to use in order to filter tags","readOnly":true}}},"iam.resource.TagFilter.OperatorEnum":{"type":"string","description":"Operator that can be used in order to filter resources tags","enum":["EQ","EXISTS","ILIKE","LIKE","NEQ","NEXISTS"]},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"},"vmwareCloudDirector.AZNameEnum":{"type":"string","description":"The AZ Name of your VMware Cloud Director project","enum":["ca-east-bhs-a","eu-central-waw-a","eu-west-eri-a","eu-west-lim-a","eu-west-rbx-a","eu-west-sbg-a","us-east-vin-a","us-west-hil-a"]},"vmwareCloudDirector.BackupOfferNameEnum":{"type":"string","description":"The backup offer type of your VMware Cloud Director project","enum":["BRONZE","GOLD","SILVER"]},"vmwareCloudDirector.BackupResourceStatusEnum":{"type":"string","description":"Status of VMware Cloud Director backup service","enum":["CREATING","DISABLED","DISABLING","READY","REMOVED","REMOVING","UPDATING"]},"vmwareCloudDirector.RegionNameEnum":{"type":"string","description":"The region of your VMware Cloud Director project","enum":["ap-south-mum","ap-southeast-sgp","ap-southeast-syd","ca-east-bhs","ca-east-tor","eu-central-waw","eu-west-eri","eu-west-gra","eu-west-lim","eu-west-par","eu-west-rbx","eu-west-sbg","us-east-va","us-east-vin","us-west-hil","us-west-or"]},"vmwareCloudDirector.backup.BackupDetails":{"type":"object","description":"VMware Cloud Director Backup service","properties":{"createdAt":{"type":"string","description":"Datetime when backup was enabled","format":"date-time","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.backup.CurrentState"}],"description":"Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.","readOnly":true},"currentTasks":{"type":"array","description":"Asynchronous operations ongoing on the VMware Cloud Director organization backup service","nullable":true,"items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Unique identifier of the VMware Cloud Director backup","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.BackupResourceStatusEnum"}],"description":"Reflects the readiness of the VMware Cloud Director organization backup service. A new target specification request will be accepted only in `READY` status.","readOnly":true},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.backup.TargetSpec"}],"description":"Configuration you requested. While a change is still being applied it differs from currentState.","readOnly":true},"updatedAt":{"type":"string","description":"Datetime when backup is modified","format":"date-time","readOnly":true}}},"vmwareCloudDirector.backup.BackupDetailsWithIAM":{"type":"object","description":"VMware Cloud Director Backup service","properties":{"createdAt":{"type":"string","description":"Datetime when backup was enabled","format":"date-time","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.backup.CurrentState"}],"description":"Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.","readOnly":true},"currentTasks":{"type":"array","description":"Asynchronous operations ongoing on the VMware Cloud Director organization backup service","nullable":true,"items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"iam":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata"}],"description":"IAM resource metadata","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the VMware Cloud Director backup","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.BackupResourceStatusEnum"}],"description":"Reflects the readiness of the VMware Cloud Director organization backup service. A new target specification request will be accepted only in `READY` status.","readOnly":true},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.backup.TargetSpec"}],"description":"Configuration you requested. While a change is still being applied it differs from currentState.","readOnly":true},"updatedAt":{"type":"string","description":"Datetime when backup is modified","format":"date-time","readOnly":true}}},"vmwareCloudDirector.backup.CurrentState":{"type":"object","description":"VMware Cloud Director Backup service current state","properties":{"azName":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.AZNameEnum"}],"description":"Availability zone of VMware Cloud Director organization backup","readOnly":true},"offers":{"type":"array","description":"List of your VMware Cloud Director organization backup offers","items":{"$ref":"#/components/schemas/vmwareCloudDirector.backup.CurrentStateOffer"},"readOnly":true}}},"vmwareCloudDirector.backup.CurrentStateOffer":{"type":"object","description":"VMware Cloud Director Backup current state","properties":{"name":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.BackupOfferNameEnum"}],"description":"Backup service offer type (BRONZE|SILVER|GOLD)","readOnly":true},"protectionPrimaryRegion":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.RegionNameEnum"}],"description":"Backup repository primary region","readOnly":true},"protectionReplicatedRegion":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.RegionNameEnum"}],"description":"Backup repository replicated region","nullable":true,"readOnly":true},"quotaInTB":{"type":"integer","description":"Backup repository quota in TB","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.BackupResourceStatusEnum"}],"description":"Backup offer status","readOnly":true},"usedSpaceInGB":{"type":"number","description":"Backup repository used space in GB","readOnly":true}}},"vmwareCloudDirector.backup.TargetOffer":{"type":"object","description":"VMware Cloud Director Backup target","properties":{"name":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.BackupOfferNameEnum"}],"description":"Backup service offer type (BRONZE|SILVER|GOLD)"},"quotaInTB":{"type":"integer","description":"Backup repository quota in TB"}},"required":["name","quotaInTB"]},"vmwareCloudDirector.backup.TargetSpec":{"type":"object","description":"VMware Cloud Director Backup target spec","properties":{"offers":{"type":"array","description":"List of your VMware Cloud Director backup offers","items":{"$ref":"#/components/schemas/vmwareCloudDirector.backup.TargetOffer"}}},"required":["offers"]},"vmwareCloudDirector.backup.backupDetails.Update":{"type":"object","description":"Update specification of VMware Cloud Director Backup service","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/vmwareCloudDirector.backup.TargetSpec"}],"description":"New target specification for the VMware Cloud Director organization backup service and offers"}},"required":["targetSpec"]}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/vmwareCloudDirector/backup":{"get":{"operationId":"getAllVcdBackups","summary":"List backup services","description":"Returns the backup services, with their offers and status.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"iamTags","description":"Filter resources on IAM tags","schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/iam.resource.TagFilter"}}}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/vmwareCloudDirector.backup.BackupDetailsWithIAM"}}}}}},"tags":["Backup"],"x-developer-hub-navigation":[["Storage & Backup","Backup & Disaster recovery solutions","Managed Veeam for Public VCF aaS@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/vmwareCloudDirector/backup\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/vmwareCloudDirector/backup\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"vmwareCloudDirectorBackup:apiovh:get","required":true}],"x-expanded-response":"VmwareCloudDirectorBackupBackupDetailsWithIAM"}},"/vmwareCloudDirector/backup/{backupId}":{"get":{"operationId":"getVcdBackup","summary":"Get a backup service","description":"Returns the backup service: offers with their quota and used space, availability zone and status.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"backupId","description":"Backup ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/vmwareCloudDirector.backup.BackupDetailsWithIAM"}}}}},"tags":["Backup"],"x-developer-hub-navigation":[["Storage & Backup","Backup & Disaster recovery solutions","Managed Veeam for Public VCF aaS@@@30"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/vmwareCloudDirector/backup/{backupId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/vmwareCloudDirector/backup/{backupId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"vmwareCloudDirectorBackup:apiovh:get","required":true}]},"put":{"operationId":"editVcdBackup","summary":"Update a backup service","description":"Replaces the backup offers of the service: BRONZE, SILVER or GOLD, each with a quota in TB. An offer left out of the list is removed. Accepted only when the service is `READY`, then applied asynchronously: `currentState` catches up with `targetSpec`.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"backupId","description":"Backup ID","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vmwareCloudDirector.backup.backupDetails.Update"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/vmwareCloudDirector.backup.BackupDetails"}}}}},"tags":["Backup"],"x-developer-hub-navigation":[["Storage & Backup","Backup & Disaster recovery solutions","Managed Veeam for Public VCF aaS@@@60"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: vmwareCloudDirector.backup.backupDetails.Update\nresult = client.put(\"/v2/vmwareCloudDirector/backup/{backupId}\",\n\ttargetSpec = None, # New target specification for the VMware Cloud Director organization backup service and offers (type: vmwareCloudDirector.backup.TargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: vmwareCloudDirector.backup.backupDetails.Update\n$result = $ovh->put(\"/v2/vmwareCloudDirector/backup/{backupId}\", array(\n\ttargetSpec => null, // New target specification for the VMware Cloud Director organization backup service and offers (type: vmwareCloudDirector.backup.TargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"vmwareCloudDirectorBackup:apiovh:edit","required":true}]}},"/vmwareCloudDirector/backup/{backupId}/task":{"get":{"operationId":"getAllVcdBackupTasks","summary":"List backup tasks","description":"Returns the asynchronous tasks of the backup service.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"backupId","description":"Backup ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common.Task"}}}}}},"tags":["Backup"],"x-developer-hub-navigation":[["Storage & Backup","Backup & Disaster recovery solutions","Managed Veeam for Public VCF aaS@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/vmwareCloudDirector/backup/{backupId}/task\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/vmwareCloudDirector/backup/{backupId}/task\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"vmwareCloudDirectorBackup:apiovh:task/get","required":true}],"x-response-identifier":"id","x-expanded-response":"CommonTask"}},"/vmwareCloudDirector/backup/{backupId}/task/{taskId}":{"get":{"operationId":"getVcdBackupTask","summary":"Get a backup task","description":"Returns the task: type, status, progress steps, errors and dates.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"backupId","description":"Backup ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"taskId","description":"Task ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.Task"}}}}},"tags":["Backup"],"x-developer-hub-navigation":[["Storage & Backup","Backup & Disaster recovery solutions","Managed Veeam for Public VCF aaS@@@50"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/vmwareCloudDirector/backup/{backupId}/task/{taskId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/vmwareCloudDirector/backup/{backupId}/task/{taskId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"vmwareCloudDirectorBackup:apiovh:task/get","required":true}],"x-response-identifier":"id"}}},"tags":[{"name":"Backup","x-tag-expanded":false,"description":"Missing description"}]}
